GET v1/trades
GET /v1/trades
Endpoint where you can get all your trades.
For more information you can check our Authentication V1 article.
This endpoint can be used for more detailed information about orders.
| Name | Value |
|---|---|
| Content-Type | application/json |
| X-PCK | {{X-PCK}} |
| X-Signature | {{X-Signature}} |
| X-Stamp | {{X-Stamp}} |
| X-Nonce | {{X-Nonce}} |
Query Parameters:
| Name | Type | Description | Required |
|---|---|---|---|
| pairSymbol | STRING[] | YES | |
| orderId | STRING | NO -If orderId is set, other parameters must not be sent. | |
| side | STRING | -Buy -Sell | NO |
| createdAtBefore | DATETIME | Filters orders created on or before the specified date. | Required if createdAtis not set |
| createdAtAfter | DATETIME | Selects trades created after a specified date. If not provided and createdAtBefore is not null, it defaults to including orders from the last 90 days, ensuring that the query does not retrieve orders older than 90 days from the current date. Date range can be maximum 90 days. If the value is greater than 90 days, the default date range is set to 90. | NO |
| createdAt | DATETIME | Get trades by spesific date. | Required if createdAtBefore is not set |
| page | INT | Default value 1 | NO |
| pageSize | INT | -Must be between 1 and 1000 Default value 50 | NO |
| order | STRING | -ASC -DESC Default value Desc | NO |
info
Trades ordered by createdAt field.
Response
- 200
- 400
[
{
"id": "1001063838854305036",
"orderId": "433586",
"feePercentage": "0.0000833330000000",
"taxPercentage": "0.2000000000000000",
"price": "2266666.2500000000000000",
"createdAt": "2024-03-15T20:27:27.4138887",
"accountId": "1db31fd2df9642d5b2ecbe09129697d9",
"side": "Buy", //Buy, Sell
"feeType": "Maker", //Maker, Taker
"pairSymbol": "BTCTRY",
"amount": "0.2000000000000000",
"denominatorAmount": "-453333.2500000000000000",
"feeAmount": "-37.7776197222500000",
"taxAmount": "-7.5555239444500000",
"externalOrderId": "test-v3"
}
]
{
"type": "https://tools.ietf.org/html/rfc9110#section-15.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"accountId": [
"AccountId must be sent in request."
],
"createdAt": [
"CreatedAt or CreatedAtBefore is required"
],
"pairSymbols": [
"PairSymbols must be sent in request."
],
"createdAtBefore": [
"CreatedAt or CreatedAtBefore is required"
]
},
"traceId": "0HN280FO0G3C1:00000003"
}